<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>import hk.quantr.mxgraph.analysis Class Hierarchy (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="import hk.quantr.mxgraph.analysis Class Hierarchy (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For Package import hk.quantr.mxgraph.analysis</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<section role="region">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">import hk.quantr.mxgraph.analysis.<a href="mxAnalysisGraph.html" title="class in import hk.quantr.mxgraph.analysis"><span class="typeNameLink">mxAnalysisGraph</span></a></li>
<li class="circle">import hk.quantr.mxgraph.analysis.<a href="mxConstantCostFunction.html" title="class in import hk.quantr.mxgraph.analysis"><span class="typeNameLink">mxConstantCostFunction</span></a> (implements import hk.quantr.mxgraph.analysis.<a href="mxICostFunction.html" title="interface in import hk.quantr.mxgraph.analysis">mxICostFunction</a>)</li>
<li class="circle">import hk.quantr.mxgraph.analysis.<a href="mxDistanceCostFunction.html" title="class in import hk.quantr.mxgraph.analysis"><span class="typeNameLink">mxDistanceCostFunction</span></a> (implements import hk.quantr.mxgraph.analysis.<a href="mxICostFunction.html" title="interface in import hk.quantr.mxgraph.analysis">mxICostFunction</a>)</li>
<li class="circle">import hk.quantr.mxgraph.analysis.<a href="mxFibonacciHeap.html" title="class in import hk.quantr.mxgraph.analysis"><span class="typeNameLink">mxFibonacciHeap</span></a></li>
<li class="circle">import hk.quantr.mxgraph.analysis.<a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis"><span class="typeNameLink">mxFibonacciHeap.Node</span></a></li>
<li class="circle">import hk.quantr.mxgraph.analysis.<a href="mxGraphAnalysis.html" title="class in import hk.quantr.mxgraph.analysis"><span class="typeNameLink">mxGraphAnalysis</span></a></li>
<li class="circle">import hk.quantr.mxgraph.analysis.<a href="mxGraphGenerator.html" title="class in import hk.quantr.mxgraph.analysis"><span class="typeNameLink">mxGraphGenerator</span></a></li>
<li class="circle">import hk.quantr.mxgraph.analysis.<a href="mxGraphProperties.html" title="class in import hk.quantr.mxgraph.analysis"><span class="typeNameLink">mxGraphProperties</span></a></li>
<li class="circle">import hk.quantr.mxgraph.analysis.<a href="mxGraphStructure.html" title="class in import hk.quantr.mxgraph.analysis"><span class="typeNameLink">mxGraphStructure</span></a></li>
<li class="circle">import hk.quantr.mxgraph.analysis.<a href="mxTraversal.html" title="class in import hk.quantr.mxgraph.analysis"><span class="typeNameLink">mxTraversal</span></a></li>
<li class="circle">import hk.quantr.mxgraph.analysis.<a href="mxUnionFind.html" title="class in import hk.quantr.mxgraph.analysis"><span class="typeNameLink">mxUnionFind</span></a></li>
<li class="circle">import hk.quantr.mxgraph.analysis.<a href="mxUnionFind.Node.html" title="class in import hk.quantr.mxgraph.analysis"><span class="typeNameLink">mxUnionFind.Node</span></a></li>
<li class="circle">java.lang.Throwable (implements java.io.Serializable)
<ul>
<li class="circle">java.lang.Exception
<ul>
<li class="circle">import hk.quantr.mxgraph.analysis.<a href="StructuralException.html" title="class in import hk.quantr.mxgraph.analysis"><span class="typeNameLink">StructuralException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
<section role="region">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">import hk.quantr.mxgraph.analysis.<a href="mxICostFunction.html" title="interface in import hk.quantr.mxgraph.analysis"><span class="typeNameLink">mxICostFunction</span></a></li>
</ul>
</section>
<section role="region">
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<ul>
<li class="circle">import hk.quantr.mxgraph.analysis.<a href="mxGraphProperties.GraphType.html" title="enum in import hk.quantr.mxgraph.analysis"><span class="typeNameLink">mxGraphProperties.GraphType</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
